/*
 * Fasterfox is copyright 2005 by Tony Gentilcore. 
 *
 * If you wish to modify, distribute, or reproduce all
 * or part if this extension, please write me first.
 * 
 * No portion of this extension or the code contained 
 * herein this archive may be reproduced without the 
 * express written consent of the author.
 * 
 */

// Fasterfox Prefs
pref("extensions.fasterfox.enhancedPrefetching", true);
pref("extensions.fasterfox.preset", 3);

// Cache Prefs
pref("browser.cache.memory.capacity", 65536);
pref("browser.cache.disk.capacity", 76800);
//pref("config.trim_on_minimize", false);
pref("network.dnsCacheExpiration", 3600);  
pref("network.dnsCacheEntries", 512);

// HTTP Connection Prefs
pref("network.http.network.http.max-connections", 48);
pref("network.http.max-connections-per-server", 24);
pref("network.http.max-persistent-connections-per-server", 8);
pref("network.http.max-persistent-connections-per-proxy", 16);
//pref("network.ftp.idleConnectionTimeout", 60);
//pref("network.http.keep-alive.timeout", 30);

// HTTP Pipelining Prefs
pref("network.http.pipelining", true);
pref("network.http.pipelining.firstrequest", true);
pref("network.http.proxy.pipelining", true);
pref("network.http.pipelining.maxrequests", 8);

// Rendering Prefs
pref("nglayout.initialpaint.delay", 0);
pref("ui.submenuDelay", 50);
//pref("content.notify.ontimer", true);
//pref("content.interrupt.parsing", true);
//pref("content.notify.interval", 100);
//pref("content.notify.threshold", 100000);
//pref("content.notify.backoffcount", 200);
//pref("content.max.tokenizing.time", 3000000); 
//pref("content.maxtextrun", 8191);
//pref("content.notify.interval", 100000);
//pref("content.notify.backoffcount", 10);
//pref("content.switch.threshold", 100000);

// Popups
pref("privacy.popups.disable_from_plugins", 2);
